Could not connect to the update server



  • Hi all,

    I have to upgrade 1 SiPy, 2 lopy4 and 2 fipy to get Sigfox and Lora registration informations (id, pac, ...).

    Today, when I start Pycom Upgrade tool I got a "Could not connect to the update server" error.

    Is the update server down ?

    Is there any way to upgrade firmwares manually ? Where can I find tar or tar.gz firmware files for my modules ?

    Not very clear on pycom web site ....

    Thanks.

    Johann



  • @xykon Thanks.

    I've been able to upgrade to 1.18.0 following the instructions. I've been using CLI mode. I will keep using this procedure instead the GUI, which I cannot progress from the Attention page.

    Thanks again.


  • administrators

    @josep-salom You can follow the Firmware Downgrade instructions, just make sure you download the latest stable version 1.18.0

    The attention page is for information only. It suggests that an upgrade may be necessary as the Pytrack and Pysense are currently being shipped with a firmware that is not capable of automatically switching into upgrade mode.

    If you continue to have issues connecting to the software server, please check your IP address at http://www.whatsmyip.org and email support@pycom.io so we can do some connectivity tests.



  • Hello,

    I have the same problem. I have the last version on Mac OS X and I tried from home and office. No way.

    Is there any manual way to upgrade the firmware?

    On the other hand, although I continue with off-line mode, I got an Attention! page that ask me to update manually the firmware on the Pysense. I got the same page always although I have updated several times with success the firmware using dfu-util.



  • @johannchx
    No, it's just HTTPS so it should work unless you need some proxy at your office



  • Hi jmarcelino,

    I reinstalled the tool from the link but I already had the latest version (1.14.2).
    Still get the same error ...

    It's the first time I try to upgrade a module from my office. I will try at home.

    Does the download use any special port ?

    Thanks.

    // johannchx



  • Hi @johannchx

    Do you have the most up-to-date Upgrade tool?

    You can download it from: https://pycom.io/downloads/


 

Hello World?

Pylife on Kickstarter - November 2018








Back Us On Kickstarter >

Pycom on Twitter